Unsafe: Downstream select methods needed for some of 1.8 java.util.concurrent

Adds Sun.misc.Unsafe#loadFence, storeFence, fullFence, and a couple of CAS-based
atomic operations.

Downstreamed from jdk9 b84b5f6d9ed5

Bug: 26264765
Change-Id: Ie4142b09c1ba18d9f0fc37a627797798822d1abf
1 file changed